#pragma once

#include <SFML/System.hpp>
#include <SFML/Graphics.hpp>
#include <iostream>
#include <string>
#include <math.h>
#include "HandyFunctions.h"


class Ball {
public:
	Ball(double x, double y, double angle);
	~Ball(void);
	void setPosition(double x, double y);
	void setAngle(double angle);
	double getX(void);
	double getY(void);
	double getAngle(void);
	char bounced(sf::RenderWindow & renderWindow);
	void update(sf::RenderWindow & renderWindow);

private:
	double x;
	double y;
	double angle;
};